Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.events
Interface TaskEventListener

    public interface TaskEventListener

BEA Systems, Inc.

Method Summary
`void` | `destroy()` Destroy this instance and release any resources obtained in initialize or during calls to onTaskEvent().
`String` | `getName()` Get the name assigned to this listener
`void` | `initialize()` Initialize any resources needed to start handling events in onTaskEvent().
`void` | `onTaskEvent(TaskEvent event)` Handle the given event.
`void` | `setName(String name)` Get the name for this listener
`void` | `setProperties(Map<String,Property> properties)` Set any properties configured for this TaskEventListener in the custom module that deployed it.

Method Detail

### getName

    String getName()

  Get the name assigned to this listener

### setName

    void setName(String name)

  Get the name for this listener

### setProperties

    void setProperties(Map<String,Property> properties)

  Set any properties configured for this TaskEventListener in the custom module that deployed it. This method is only called if properties are available (e.g. specified in the deployment descriptor for the custom module).

  Parameters:
    `properties` -

### initialize

    void initialize()
                    throws ManagementException

  Initialize any resources needed to start handling events in onTaskEvent().

  Throws:
    `ManagementException`

### destroy

    void destroy()
                 throws ManagementException

  Destroy this instance and release any resources obtained in initialize or during calls to onTaskEvent().

  Throws:
    `ManagementException`

### onTaskEvent

    void onTaskEvent(TaskEvent event)
                     throws VetoException

  Handle the given event.

  Throws:
    `VetoException` - If any error occurs processing the event. How this exception is handled by Worklist depends on how the listener is registered (sync/async, critical/non-critical)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD